declare class DotLottieUtils {
    protected _url: string;
    protected _animations: Record<string, any>;
    protected _images: Record<string, any>;
    protected _manifest: Record<string, any>;
    constructor(_url: string, _animations: Record<string, any>[], _images: Record<string, any>[], _manifest: Record<string, any>);
    static build(url: string): Promise<DotLottieUtils>;
    setAnimations(animations: Record<string, any>): void;
    addAnimation(filename: string, animation: string): void;
    addImage(filename: string, image: string): string;
    removeAnimation(index: number): void;
    getAnimation(index: number): any;
    getAnimations(): Record<string, any>;
    getImages(): Record<string, any>;
    setManifest(manifest: Record<string, any>): void;
    static fromURL(url: string): Promise<any>;
    static toArrayBuffer(url: string): Promise<ArrayBuffer>;
    createDotLottie(filePath: string): Promise<any>;
    private toBuffer;
}

export { DotLottieUtils };
